if RequiredScript == "lib/managers/enemymanager" then
	if LVMBase:HasSetting( "Block_Mags" ) then
		EnemyManager.MAX_MAGAZINES = 0
	end
	
	local init_enemy_ori = EnemyManager.init
	function EnemyManager:init()
		init_enemy_ori(self)
		if LVMBase:HasSetting( "Block_Corpses" ) then
			EnemyManager._MAX_NR_CORPSES = 0
		end
		if LVMBase:HasSetting( "Block_Shields" ) then
			self._shield_disposal_upd_interval = 0
			self._shield_disposal_lifetime = 0
			self._MAX_NR_SHIELDS = 0
		end
	end
	local corpse_limit_ori = EnemyManager.corpse_limit
	if LVMBase:HasSetting( "Block_Corpses" ) then
		function EnemyManager:corpse_limit()
			local limit = self._MAX_NR_CORPSES
			if limit and limit > 0 then
				limit = 0
			end
			return limit
		end
	end
end

if RequiredScript == "lib/managers/gameplaycentralmanager" then
	local init_game_ori = GamePlayCentralManager.init
	function GamePlayCentralManager:init()
		init_game_ori(self)
		if LVMBase:HasSetting( "Block_Bullet_Decals" ) then
			self._block_bullet_decals = true
		end
		if LVMBase:HasSetting( "Block_Blood_Decals" ) then
			self._block_blood_decals = true
		end
	end

	if LVMBase:HasSetting( "Block_Bullet_Decals" ) then
		function GamePlayCentralManager:_play_bullet_hit(...) return end
	end

	if LVMBase:HasSetting( "Block_Blood_Decals" ) then
		function GamePlayCentralManager:play_impact_flesh(...) end
		function GamePlayCentralManager:sync_play_impact_flesh(...) end
	end
end

if RequiredScript == "lib/units/enemies/cop/copdamage" then
	if LVMBase:HasSetting( "Block_Helmets" ) then
		function CopDamage:_spawn_head_gadget()
		end
	end
end